United StatesChange Country, Oracle Worldwide Web Sites Communities I am a... I want to...
JDK-4638667 : request for more JREs to support auto-download

Details
Type:
Bug
Submit Date:
2002-02-15
Status:
Closed
Updated Date:
2003-03-21
Project Name:
JDK
Resolved Date:
2003-03-21
Component:
deploy
OS:
generic,windows_98
Sub-Component:
webstart
CPU:
generic,x86
Priority:
P2
Resolution:
Duplicate
Affected Versions:
1.0.1,1.2.0
Fixed Versions:

Related Reports
Duplicate:
Duplicate:

Sub Tasks

Description
for now we only have 1.3.0_02 available for auto-download.
customers want more versions available, e.g 1.2.2, 1.3.1

see emails below:

From: "Unchis, Debra" <###@###.###>
To: "'###@###.###'" <###@###.###>
Subject: Auto download of specific JRE
Date: Thu, 17 Jan 2002 10:23:43 -0600


Dear JWS Team, 

Several months ago I wrote asking about the JRE version auto download with 
Java Web Start. (You can see the correspondence below). I wanted our jnlp to 
auto download version 1.3.1, but Iwas getting errors. I was told that only 
1.3.0_02 was available for auto download: 

"The current status of the auto-download sight, 
http://java.sun.com/products/autodl/j2se, is early access. 
as a result only 1.3.0_02 is currently hosted there." 

Is this still the case? Or am I experiencing some other sort of error? We 
would really like to be able to switch our users over to 1.3.1 for the apps 
that we currently deploy with web start. I have run some tests, but I still 
get the same error as in August. Here are all the errors: 

Date: Tue, 27 Nov 2001 15:13:30 -0700
From: "Rick Pray" <###@###.###>
To: <###@###.###>
Subject: How do I get Java Web Start with JVM 1.3.1?


There is a bug in JVM 1.3.0 that causes problems with one of our 
applications. We need Java Web Start to run using the 1.3.1 JRE Right 
now we have to copy the 1.3.1 JRE into the 1.3.0_02 directory to get it 
to run the right JRE. This doesn't work very well for a web 
application. Can you tell me if there is a way to have Java Web Start 
download with the 1.3.1 JVM. 

Thanks, 
Rick Pray 
###@###.### 

Request JRE 1.2.x to autodownload:



I've got a web start app that's trying to request JRE 1.2.x from Sun's site and 
the following error is returned: 

The application has requested a version of the Java 2 platform (JRE) that is 
currently not locally installed. Java Web Start was unable to automatically 
download and install the requested version. The JRE version must be installed 
manually. 

Error Code 11 (11 Requested version is not available for automatic download) 
returned from server when accessing resource: 
(http://jsp.java.sun.com/servlet/javawsExtensionServer, 1.2) 

How can I configure Java Web Start on the client to fetch the appropriate 
version?? 

----------------------------------------------------- 
Michael Stopper 
Senior Principal / SPS Technical Architect 
American Management Systems, Inc. 
4114 Legato Road 

More customer request below:

------------- Begin Forwarded Message -------------

Date: Fri, 01 Mar 2002 12:04:37 +0000
From: Christopher William Turner <###@###.###>
X-Accept-Language: en
MIME-Version: 1.0
To: ###@###.###
Subject: Re: please please support 1.4
Content-Transfer-Encoding: 7bit

Thomas,
Thanks for that info.
1.4 is now FCS so your excuses become invalid.
I just tried again today. Still no support for 1.4.

An error occurred while launching/running the application.

Title: Club Cycom - Enjoy!
Vendor: Cycom Limited
Category: Download Error

The application has requested a version of the Java 2 platform (JRE)
that is currently not locally installed. Java Web Start was unable to
automatically download and install the requested version. The JRE
version must be installed manually.

Error Code 11 (11 Could not locate requested version) returned from
server when accessing resource:
(http://java.sun.com/products/autodl/j2se, 1.4)

--------------------------------------------------------------------

We are using Java Web Start technology to deploy our client-side Java
application.  It has been a great experience of using this advanced technology.

We have, however, noticed one drawback. Specifically, the auto-download
capability of JRE, Java Runtime Environment, from Sun web site is not set up. 
This is one of those nice and useful features of JNLP. It helps user to obtain 
the correct version of JRE, if the required version on his/her local machine 
does not exist. Our application requires JRE 1.3 or above. If you can pass this 
request to corresponding group at Sun as a request, that will be valuable for 
our product deployment project.

Again, thanks for all your help and support. 


Sincerely,

- Shuguang Mao
Salomon Smith Barney
212-816-7694

                                    

Comments
PUBLIC COMMENTS

JRE 1.4.0 is now available for javawebstart autodownload in servlet 1.0 FCS. 

We are not going to do 1.3.1 & 1.2.2 releases.
                                     
2004-08-31
EVALUATION

This really is a different catagory, autodownload, not actually part of 
Java Web Start it'self.
###@###.### 2002-04-25
                                     
2002-04-25



Hardware and Software, Engineered to Work Together